local wezterm = require 'wezterm'
local config = {}

config.font = wezterm.font 'IosevkaTermSlab Nerd Font Mono'
config.font_size = 11.0

config.cursor_blink_rate = 800

config.window_padding = {
  left = 0,
  right = 0,
  top = 0,
  bottom = 0,
}

config.window_decorations = "NONE"
config.window_frame = {
    inactive_titlebar_bg = '#2d2d2d',
    active_titlebar_bg = '#232323',
}

config.use_fancy_tab_bar = false

config.colors = {
    background = '#101010',
    foreground = '#BBBBBB',

    cursor_bg = '#22785E',
    cursor_fg = '#000000',

    selection_fg = '#D3D7CF',
    selection_bg = '#262626',

    tab_bar = {
        active_tab = {
            bg_color = "#101010",
            fg_color = "#BBBBBB",
        },
        inactive_tab = {
            bg_color = "#232323",
            fg_color = "#BBBBBB",
        },
    },

    ansi = {"#010101","#d62222","#3ba04d","#757575","#2288d6","#aa7240","#11a0af","#a6adc8"},
}

config.inactive_pane_hsb = {
  saturation = 1.0,
  brightness = 0.4,
}

config.keys = {
  { key = 'h', mods = 'CTRL',
    action = wezterm.action.SplitHorizontal { domain = 'CurrentPaneDomain' },
  },
  { key = 'v', mods = 'CTRL',
    action = wezterm.action.SplitVertical { domain = 'CurrentPaneDomain' },
  },
  { key = 'w', mods = 'CTRL',
    action = wezterm.action.CloseCurrentPane { confirm = true },
  },
}

return config
